#ifndef CONTINUOUS_CAPTURE_THREAD_H
#define CONTINUOUS_CAPTURE_THREAD_H

#pragma once
#include <QThread>
#include <QMutex>
#include <opencv2/opencv.hpp>
#include <QImage>
#include <QMessageBox>

#include "libs/camera/camera.h"

class continuous_capture_thread : public QThread
{
    Q_OBJECT
public:
    continuous_capture_thread();

    ~continuous_capture_thread();

    void run();

    void setFront(interfaceBALLUFF::Camera& camera);

    void setSide(interfaceBALLUFF::Camera& camera);

    bool stopFlag = false;

signals:
    void ShowImages(QImage,QImage);

private:
   // bool stopFlag = true;
    interfaceBALLUFF::Camera* front_camera = nullptr;
    interfaceBALLUFF::Camera* side_camera = nullptr;
};

#endif // CONTINUOUS_CAPTURE_THREAD_H
